org.apache.commons.collections4.iterators

## Class EmptyIterator<E>

- java.lang.Object
- - org.apache.commons.collections4.iterators.EmptyIterator<E>

- All Implemented Interfaces:
    Iterator<E>, ResettableIterator<E>

      public class EmptyIterator<E>
      extends Object
      implements ResettableIterator<E>

  Provides an implementation of an empty iterator.

  This class provides an implementation of an empty iterator. This class provides for binary compatibility between Commons Collections 2.1.1 and 3.1 due to issues with `IteratorUtils`.

  Since:
    2.1.1 and 3.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Iterator` | `INSTANCE` Singleton instance of the iterator.
    `static ResettableIterator` | `RESETTABLE_INSTANCE` Singleton instance of the iterator.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `EmptyIterator()` Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(E obj)`
    `static <E> Iterator<E>` | `emptyIterator()` Get a typed empty iterator instance.
    `boolean` | `hasNext()`
    `boolean` | `hasPrevious()`
    `E` | `next()`
    `int` | `nextIndex()`
    `E` | `previous()`
    `int` | `previousIndex()`
    `void` | `remove()`
    `void` | `reset()`
    `static <E> ResettableIterator<E>` | `resettableEmptyIterator()` Get a typed resettable empty iterator instance.
    `void` | `set(E obj)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.commons.collections4.ResettableIterator

      `reset`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, hasNext, next, remove`

- - ### Field Detail

    - #### RESETTABLE_INSTANCE

          public static final ResettableIterator RESETTABLE_INSTANCE

      Singleton instance of the iterator.
      Since:
        3.1

    - #### INSTANCE

          public static final Iterator INSTANCE

      Singleton instance of the iterator.
      Since:
        2.1.1 and 3.1

  - ### Constructor Detail

    - #### EmptyIterator

          protected EmptyIterator()

      Constructor.

  - ### Method Detail

    - #### resettableEmptyIterator

          public static <E> ResettableIterator<E> resettableEmptyIterator()

      Get a typed resettable empty iterator instance.
      Type Parameters:
        `E` - the element type
      Returns:
        ResettableIterator<E>

    - #### emptyIterator

          public static <E> Iterator<E> emptyIterator()

      Get a typed empty iterator instance.
      Type Parameters:
        `E` - the element type
      Returns:
        Iterator<E>

    - #### hasNext

          public boolean hasNext()

    - #### next

          public E next()

    - #### hasPrevious

          public boolean hasPrevious()

    - #### previous

          public E previous()

    - #### nextIndex

          public int nextIndex()

    - #### previousIndex

          public int previousIndex()

    - #### add

          public void add(E obj)

    - #### set

          public void set(E obj)

    - #### remove

          public void remove()

    - #### reset

          public void reset()

Copyright © 2001–2018 The Apache Software Foundation. All rights reserved.